API referenceEmail accounts
Newest first, with totals per status. Deleted mailboxes are not listed.
X-API-KEY<token>
Your API key from the console (gw_live_…).
In: header
Query Parameters
limit?integer
Items per page, 1 to 250. Default 100.
Range
1 <= value <= 250Default
100cursor?string
The previous page's cursor, unchanged, for the next page; null means there is none.
Length
length <= 200Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/email/api/v1/accounts"{ "object": "AccountList", "items": [ { "object": "Account", "id": "string", "type": "MAIL", "name": "string", "created_at": "2019-08-24T14:15:22Z", "connection_params": {}, "groups": [ "string" ], "sources": [ { "id": "string", "status": "OK" } ], "gateway": { "state": "string", "status_reason": "string", "engine_type": "string", "email": "string", "oauth_app_id": "string", "connected_at": "2019-08-24T14:15:22Z", "state_at": "2019-08-24T14:15:22Z", "adopted": true } } ], "cursor": "string", "total_count": 0, "status_counts": { "OK": 0, "CONNECTING": 0, "CREDENTIALS": 0, "STOPPED": 0, "ERROR": 0 }}